"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _isLocaleFile = _interopRequireDefault(require("./utils/isLocaleFile"));

module.exports = {
  meta: {},

  create(context) {
    if (!(0, _isLocaleFile.default)(context.getFilename())) {
      return {};
    }

    return {
      Property(node) {
        const {
          value
        } = node.value;

        if (!value.trim()) {
          context.report({
            node: node.value,
            message: 'missing translation'
          });
        }
      }

    };
  }

};