"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getMessageArguments = getMessageArguments;

var _intlMessageformatParser = _interopRequireDefault(require("intl-messageformat-parser"));

function getMessageArguments(message) {
  try {
    // ignore if there is parse error
    const ast = _intlMessageformatParser.default.parse(message);

    return getFromMessageFormatPattern(ast);
  } catch (err) {
    return [];
  }
}

function getFromMessageFormatPattern(node) {
  const args = [];
  node.elements.forEach(elem => {
    if (elem.type === 'argumentElement') {
      args.push(elem);
      const {
        format
      } = elem;

      if (format && format.options) {
        const {
          options
        } = format;
        options.forEach(option => {
          args.push(...getFromMessageFormatPattern(option.value));
        });
      }
    }
  });
  return args;
}